changeset 2395:5d2d3fdae354

Merge
author Chris Cannam
date Tue, 22 Oct 2019 16:32:28 +0100
parents 32107caa1aaa (current diff) 779a70662859 (diff)
children ab09e05b0d35
files deploy/osx/build-and-package.sh
diffstat 7 files changed, 85 insertions(+), 42 deletions(-) [+]
line wrap: on
line diff
--- a/.hgignore	Tue Oct 22 16:32:14 2019 +0100
+++ b/.hgignore	Tue Oct 22 16:32:28 2019 +0100
@@ -59,3 +59,5 @@
 *.AppDir
 Dockerfile*.gen
 squashfs-root
+.notarization-uuid
+.notarization-status
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/deploy/clean-build-and-package	Tue Oct 22 16:32:28 2019 +0100
@@ -0,0 +1,65 @@
+#!/bin/bash
+
+set -eu
+
+current=$(hg id | awk '{ print $1; }')
+
+#case "$current" in
+#    *+) echo "ERROR: Current working copy has been modified - not proceeding"; exit 2;;
+#    *);;
+#esac
+
+version=`perl -p -e 's/^[^"]*"([^"]*)".*$/$1/' version.h`
+
+mkdir -p packages
+echo
+
+if [ -d /Applications ]; then
+
+    qmake=$(grep '^# Command: ' Makefile | awk '{ print $3; }')
+
+    echo "Proceed to rebuild, package, and sign version $version using"
+    echo -n "qmake path \"$qmake\" [Yn] ? "
+    read yn
+    case "$yn" in "") ;; [Yy]) ;; *) exit 3;; esac
+    echo "Proceeding"
+
+    app="Sonic Visualiser"
+    volume="$app"-"$version"
+    dmg="$volume".dmg
+
+    rm -rf "$app.app"
+    rm -f "$dmg"
+
+    ./repoint install
+
+    rm -rf .qmake.stash
+    "$qmake" -r
+    make clean
+    make -j3
+    deploy/osx/deploy-and-package.sh
+
+    mv "$dmg" packages/
+
+else
+
+    echo -n "Proceed to rebuild and package version $version [Yn] ? "
+    read yn
+    case "$yn" in "") ;; [Yy]) ;; *) exit 3;; esac
+    echo "Proceeding"
+
+    ./deploy/linux/build-and-test-appimage.sh
+
+    squashedversion=$(echo "$version" | sed 's/_-//g')
+
+    mv deploy/linux/docker/output/SonicVisualiser-"$current"-x86_64.AppImage \
+	packages/SonicVisualiser-"$squashedversion"-x86_64.AppImage
+
+    ./deploy/linux/build-and-test-deb.sh
+
+    mv deploy/linux/docker/output/sonic-visualiser_"$version"_amd64.deb \
+	packages/
+fi
+
+echo "Done"
+
--- a/deploy/osx/build-and-package.sh	Tue Oct 22 16:32:14 2019 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,32 +0,0 @@
-#!/bin/bash
-
-# This script is very specific to certain Xcode and Qt versions -
-# review before running, or do a standard build and a deployment with
-# deploy-and-package.sh instead
-
-set -eu
-
-app="Sonic Visualiser"
-
-version=`perl -p -e 's/^[^"]*"([^"]*)".*$/$1/' version.h`
-
-volume="$app"-"$version"
-dmg="$volume".dmg
-compatdmg="$volume-osx-10.7.dmg"
-
-./repoint install
-
-echo
-echo "Rebuilding for current macOS..."
-echo
-
-rm -rf .qmake.stash
-$HOME/Qt/5.13.1/clang_64/bin/qmake -r
-make clean
-make -j3
-deploy/osx/deploy-and-package.sh
-
-echo
-echo "Done, images are in $dmg and $compatdmg"
-echo
-
--- a/deploy/osx/notarize.sh	Tue Oct 22 16:32:14 2019 +0100
+++ b/deploy/osx/notarize.sh	Tue Oct 22 16:32:28 2019 +0100
@@ -28,7 +28,8 @@
 echo "Uploading for notarization..."
 
 uuidfile=.notarization-uuid
-rm -f "$uuidfile"
+statfile=.notarization-status
+rm -f "$uuidfile" "$statfile"
 
 xcrun altool --notarize-app \
     -f "$dmg" \
@@ -51,21 +52,26 @@
 
 while true ; do
     sleep 30
-    status=$(xcrun altool --notarization-info "$uuid" -u "$user" -p @keychain:altool 2>&1)
-    if echo "$status" | grep -q 'Package Approved' ; then
+
+    xcrun altool --notarization-info \
+	"$uuid" \
+	-u "$user" \
+	-p @keychain:altool 2>&1 | tee "$statfile"
+
+    if grep -q 'Package Approved' "$statfile"; then
 	echo
 	echo "Approved! Status output is:"
-	echo "$status"
+	cat "$statfile"
 	break
-    elif echo "$status" | grep -q 'in progress' ; then
+    elif grep -q 'in progress' "$statfile" ; then
 	echo
 	echo "Still in progress... Status output is:"
-	echo "$status"
+	cat "$statfile"
 	echo "Waiting..."
     else 
 	echo
 	echo "Failure or unknown status in output:"
-	echo "$status"
+	cat "$statfile"
 	exit 2
     fi
 done
--- a/deploy/src/archive.sh	Tue Oct 22 16:32:14 2019 +0100
+++ b/deploy/src/archive.sh	Tue Oct 22 16:32:28 2019 +0100
@@ -16,9 +16,11 @@
 echo
 echo -n "Packaging up version $v from tag $tag... "
 
+mkdir -p packages
+
 hg update -r"$tag"
 
-./repoint archive /tmp/sonic-visualiser-"$v".tar.gz --exclude sv-dependency-builds repoint.pri
+./repoint archive ./packages/sonic-visualiser-"$v".tar.gz --exclude sv-dependency-builds repoint.pri
 
 hg update -r"$current"
 
--- a/repoint-lock.json	Tue Oct 22 16:32:14 2019 +0100
+++ b/repoint-lock.json	Tue Oct 22 16:32:28 2019 +0100
@@ -1,7 +1,7 @@
 {
   "libraries": {
     "vamp-plugin-sdk": {
-      "pin": "0b6802e3b755"
+      "pin": "569fc23fa37a"
     },
     "svcore": {
       "pin": "871a2050236b"
--- a/version.h	Tue Oct 22 16:32:14 2019 +0100
+++ b/version.h	Tue Oct 22 16:32:28 2019 +0100
@@ -1,1 +1,1 @@
-#define SV_VERSION "4.0-pre3"
+#define SV_VERSION "4.0-pre4"